org.apache.solr.cloud.overseer

## Class CollectionMutator

- java.lang.Object
- - org.apache.solr.cloud.overseer.CollectionMutator

-     public class CollectionMutator
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ZkStateReader` | `zkStateReader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectionMutator(ZkStateReader zkStateReader)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ZkWriteCommand` | `createShard(ClusterState clusterState, ZkNodeProps message)`
    `ZkWriteCommand` | `deleteShard(ClusterState clusterState, ZkNodeProps message)`
    `ZkWriteCommand` | `modifyCollection(ClusterState clusterState, ZkNodeProps message)`
    `static DocCollection` | `updateSlice(String collectionName, DocCollection collection, Slice slice)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### zkStateReader

          protected final ZkStateReader zkStateReader

  - ### Constructor Detail

    - #### CollectionMutator

          public CollectionMutator(ZkStateReader zkStateReader)

  - ### Method Detail

    - #### createShard

          public ZkWriteCommand createShard(ClusterState clusterState,
                                            ZkNodeProps message)

    - #### deleteShard

          public ZkWriteCommand deleteShard(ClusterState clusterState,
                                            ZkNodeProps message)

    - #### modifyCollection

          public ZkWriteCommand modifyCollection(ClusterState clusterState,
                                                 ZkNodeProps message)

    - #### updateSlice

          public static DocCollection updateSlice(String collectionName,
                                                  DocCollection collection,
                                                  Slice slice)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.